import { Show } from 'solid-js';

import "./itemHead.css"

function itemHead(props) {
    return <div class="subject">
        <div class="subjectTitle">
            <span class="text">{props.title}</span>
            <Show when={!props.noimg}>
                <img src="/src/assets/img/hadIcon.png" class="subjectIcon" />
            </Show>
        </div>
        <div class="subjectSubTitle">{props.subtitle}</div>
    </div>
}

export default itemHead;
